Bug 504551 - [fix available][oocalc] OpenOffice.org will crash if choosing .sxi/.odt document when using merge document
[fix available][oocalc] OpenOffice.org will crash if choosing .sxi/.odt docum...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Caolan McNamara
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-08 03:36 EDT by Yewei Shao
Modified: 2010-03-30 04:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:45:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A example of .sxi file that will cause crash (475.34 KB, application/vnd.sun.xml.impress)
2009-06-08 03:36 EDT, Yewei Shao
no flags Details
Crash log (4.85 KB, text/plain)
2009-06-08 03:37 EDT, Yewei Shao
no flags Details
backport of fix (2.28 KB, patch)
2009-06-08 04:22 EDT, Caolan McNamara
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 87094 None None None Never

  None (edit)
Description Yewei Shao 2009-06-08 03:36:48 EDT
Created attachment 346829 [details]
A example of .sxi file that will cause crash

Description of problem:
When merging document by using .sxi in oocalc, the openoffice will crash.

Version-Release number of selected component (if applicable):
openoffice.org-2.3.0-6.11.el5

How reproducible:everytime


Steps to Reproduce:
1. Launch oocalc in terminal
2. Choose Edit ->Changes->Merge Document
3. In pop out window, select a .sxi file and click "Open"
  
Actual results:
The oocalc will crash.

Expected results:
It should not crash even if something wrong when merge document, it can give error message.

Additional info:
Comment 1 Yewei Shao 2009-06-08 03:37:43 EDT
Created attachment 346830 [details]
Crash log
Comment 2 Caolan McNamara 2009-06-08 04:22:14 EDT
Created attachment 346835 [details]
backport of fix

Its a known bug, fixed in later releases.
Comment 3 Caolan McNamara 2009-06-08 04:23:55 EDT
Its not *that* much of a biggy in that it doesn't make sense to attempt such a merge, but it clearly shouldn't crash.

(we get this for free on a re-base of Ooo)
Comment 5 koka xiong 2009-12-29 04:10:00 EST
Verified with openoffice.org-3.1.1-19.1.el5
on 
Red Hat Enterprise Linux 5Client - i386, x86_64
Red Hat Enterprise Linux 5Server-DPAS - i386, x86_64
steps:
1.Launch oocalc
2.Choose Edit ->Changes->Merge Document
3.In pop out window, select the crashed .sxi file and click "Open",the oocalc won't crash now

Verified passed.
Comment 7 errata-xmlrpc 2010-03-30 04:45:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0274.html

Note You need to log in before you can comment on or make changes to this bug.